# PackageLogistic
通过物流背包和星际物流运输站提供物品收发能力。自动为各类生产、能源、战斗、科研等建筑提供原料并自动从采集、生产、仓储、科研等建筑回收产品。
极大地减少了传送带和分拣器的使用。提高了游戏性能，降低了游戏难度。

## 快捷键
ctrl+L

## 获取方式
### 【github】
https://github.com/qlvlp-com/PackageLogistic

### 【thunderstore】
https://dsp.thunderstore.io/package/qlvlp/PackageLogistic/

## 使用介绍
【《戴森球计划》物流背包MOD 黑雾崛起适配更新】
 https://www.bilibili.com/video/BV1Ye411k7Ws/?share_source=copy_web&vd_source=e98c885722228bac750b1f4747eee0c2

## 版本
### version 1.1.4
1. 自动向战场分析基站投放无人机将按设置的类型投放，而不是优先使用高级别无人机
2. 自动向战场分析基站设置了过滤的输入区格子（蓝色）投放物品。自动从输出区回收物品

### version 1.1.3
1.  适配版本0.10.29.21904

### version 1.1.2
1.  建筑和战舰将不再自动喷涂增产剂
2. 新增清理战场分析基站内禁止掉落的物品功能

### version 1.1.1
1.  调整MOD设置UI以适配不同分辨率
2. 增加“自动为火力发电厂补充燃料”设置开关

### version 1.1.0
1. 修复BUG：战场分析基站被摧毁标记重建时出现的空指针异常。

### version 1.0.9
1. 修复BUG：启用物流背包和星际运输站物品可以向伊卡洛斯物品清单格子补充物品功能时，低概率造成物品清单格子中物品丢失。

### version 1.0.8
1. 新增物流背包和星际运输站物品可以向伊卡洛斯物品清单格子补充物品功能，仅对开启了过滤的物品进行自动补充（鼠标中键点击格子进行选择过滤物品）。
2. 新增加火力发电站燃料选项：能量碎片，燃烧单元，木材，植物燃料。优化燃料选择逻辑：当手动指定的燃料耗尽时，将按自动模式进行燃料选取。

### version 1.0.7
1. 新增无限弹药功能
2. 新增无限舰队功能
3. 修改了UI界面

### version 1.0.6
适配黑雾更新
1. 自动供弹：自动为各类防御设施供给弹药，优先使用高级别弹药
2. 人造恒星燃料可以使用反物质燃料棒和奇异物质湮灭燃料棒，优先使用奇异物质湮灭燃料棒
3. 负熵熔炉，重组式制造台，自演化研究站适配
4. 自动从战场分析基站收取物品，自动为战场分析基站补充战斗无人机（优先补充高级别无人机）

### version 1.0.5
1. bug修复：星际物流运输站无法从采矿设备和行星物流站获取物品的问题

### version 1.0.4
添加火力发电站燃料选择功能
可手动选择使用煤、石墨、原油、精炼油、氢气、氢燃料棒、可燃冰。
或自动选择燃料,当精炼油和氢储量超60%时，谁多使用谁，否则使用煤，可防止原油裂解反应阻塞。
默认使用自动模式。

### version 1.0.3
1. 添加对仓储设备的支持，可以从大小储物箱和储液罐中回收物品。
2. 现在星际物流运输站具有和物流背包一样的功能：
可以从生产和采集设备回收物品
可以将物品分发至生产设备中
可以对其中物品进行自动喷涂增产剂
物品可以无限获取
当某物品同时存在于物流背包和星际物流运输站中时，将优先使用物流背包。
物流背包中物品的最大储量在科技“运输机舱扩容”解锁至11级后由默认10000修改至25000，解锁至15级后由默认20000修改至50000
对于在解锁科技前建造的星际物流运输站，你需要手动调整里面的物品储量最大值，科技解锁后建造的不用调整，将默认初始为25000或50000

### version 1.0.2
修复在无限矿物模式下，概率性地出现原油分解反应阻塞的问题，调整氢气的回收策略。

### version 1.0.1 
背包中非建筑物品的堆叠数量可随背包科技等级解锁而提升，最大值由10000更改为50000。

### version 1.0.0
1. 自动从背包中将生产原料投放至生产设备，自动从生产设备回收产品。
2. 自动喷涂，自动使用物流背包里的增产剂对物流背包内的其他产品进行喷涂，可设置是否消耗增产剂。
3. 无限矿物，通过物流背包获取无限矿物。
4. 无限建筑，通过物流背包获取无限建筑物。
5. 无限物品，通过物流背包获取无限物品（无法获取成就）。
6. 无限沙土，沙土数量固定为最大值1G。

## 配置文件
默认路径：BepInEx/config/com.qlvlp.dsp.PackageLogistic

## 安装
### 依赖
本mod依赖BepInEx 5。
### 安装
复制PackageLogistic.dll文件至BepInEx/plugins目录下即可。
